Package com.massivecraft.factions.tag

## Interface Tag

All Known Implementing Classes:
  `FactionTag`, `FancyTag`, `GeneralTag`, `PlayerTag`

    public interface Tag

### Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `ARBITRARY_LIMIT` |

### Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `foundInString​(java.lang.String test)` | Gets if the Tag can be found in the given String.
`java.lang.String` | `getTag()` | Gets the Tag's string representation.
`static boolean` | `isMinimalShow()` |
`static java.lang.String` | `parsePlaceholders​(org.bukkit.entity.Player player, java.lang.String line)` |
`static java.lang.String` | `parsePlain​(Faction faction, FPlayer fplayer, java.lang.String line)` | Replaces all variables in a plain raw line for a faction, using relations from fplayer
`static java.lang.String` | `parsePlain​(Faction faction, java.lang.String line)` | Replaces all variables in a plain raw line for a faction
`static java.lang.String` | `parsePlain​(FPlayer fplayer, java.lang.String line)` | Replaces all variables in a plain raw line for a player

### Field Detail

#### ARBITRARY_LIMIT

    static final int ARBITRARY_LIMIT

See Also:
  Constant Field Values

### Method Detail

#### parsePlain

    static java.lang.String parsePlain​(Faction faction,
                                       java.lang.String line)

Replaces all variables in a plain raw line for a faction

Parameters:
  `faction` - for faction
  `line` - raw line from config with variables to replace for
Returns:
  clean line

#### parsePlain

    static java.lang.String parsePlain​(FPlayer fplayer,
                                       java.lang.String line)

Replaces all variables in a plain raw line for a player

Parameters:
  `fplayer` - for player
  `line` - raw line from config with variables to replace for
Returns:
  clean line

#### parsePlain

    static java.lang.String parsePlain​(Faction faction,
                                       FPlayer fplayer,
                                       java.lang.String line)

Replaces all variables in a plain raw line for a faction, using relations from fplayer

Parameters:
  `faction` - for faction
  `fplayer` - from player
  `line` - raw line from config with variables to replace for
Returns:
  clean line

#### parsePlaceholders

    static java.lang.String parsePlaceholders​(org.bukkit.entity.Player player,
                                              java.lang.String line)

#### isMinimalShow

    static boolean isMinimalShow()

#### getTag

    java.lang.String getTag()

Gets the Tag's string representation.

Returns:
  tag

#### foundInString

    boolean foundInString​(java.lang.String test)

Gets if the Tag can be found in the given String.

Parameters:
  `test` - string to test
Returns:
  true if the tag is found in this string